## feram 0.26.04

=== doc/Makefile ===
# -*-Makefile-*- for loto/doc
# Time-stamp: <2010-05-28 10:04:38 takeshi>
# Author: Takeshi NISHIMATSU
##
srcdir = .

SOURCEFORGE_FERAM=web.sourceforge.net:/home/groups/l/lo/loto/htdocs/feram

all: feram-presentation.xhtml film.xhtml

%.xhtml: %.txt
	ruby $< $< > $@

sf: sourceforge
sourceforge: favicon.ico feram-presentation.css feram-presentation.txt feram-presentation.xhtml film.txt film.xhtml ulmul-slidy.js
	scp    $^            $(SOURCEFORGE_FERAM)/doc/
	scp -r figures/*.jpg $(SOURCEFORGE_FERAM)/doc/figures/

.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in
	cd .. && ./config.status doc/$@

clean:
	rm -rf *.aux *.bbl *.blg *.dvi *.log *.ps *.pdf config.log

=== parameters/Makefile ===
# -*-Makefile-*- for feram/parameters/
# Time-stamp: <2015-04-22 18:43:50 takeshi>
# Author: Takeshi NISHIMATSU
##
srcdir = .

SOURCEFORGE_FERAM=web.sourceforge.net:/home/groups/l/lo/loto/htdocs/feram

all: parameters.html

%.html: %.txt
	ruby $< $< > $@

sf: sourceforge
sourceforge: parameters.html parameters.txt favicon.ico style.css brdmin.patch brdmin-6.2.3-2011-07-01.patch a2f.jpg
	scp $<                              $(SOURCEFORGE_FERAM)/parameters/index.html
	scp $^                              $(SOURCEFORGE_FERAM)/parameters/
	scp BaTiO3-first-principles/*.in    $(SOURCEFORGE_FERAM)/parameters/BaTiO3-first-principles/
	scp BaTiO3-first-principles/*.rb    $(SOURCEFORGE_FERAM)/parameters/BaTiO3-first-principles/
	scp BaTiO3-first-principles/*.jpg   $(SOURCEFORGE_FERAM)/parameters/BaTiO3-first-principles/
	scp BaTiO3-first-principles/*.nqs   $(SOURCEFORGE_FERAM)/parameters/BaTiO3-first-principles/
	scp BaTiO3-first-principles/*.dat*  $(SOURCEFORGE_FERAM)/parameters/BaTiO3-first-principles/
	scp BaTiO3-first-principles/*.delta $(SOURCEFORGE_FERAM)/parameters/BaTiO3-first-principles/
	scp BaTiO3-first-principles/*.files $(SOURCEFORGE_FERAM)/parameters/BaTiO3-first-principles/
	scp BaTiO3-first-principles/force-constant-matrix/Makefile\
                                            $(SOURCEFORGE_FERAM)/parameters/BaTiO3-first-principles/force-constant-matrix/
	scp BaTiO3-first-principles/force-constant-matrix/diagonalized-results.txt\
                                            $(SOURCEFORGE_FERAM)/parameters/BaTiO3-first-principles/force-constant-matrix/
	scp BaTiO3-first-principles/force-constant-matrix/*.files\
                                            $(SOURCEFORGE_FERAM)/parameters/BaTiO3-first-principles/force-constant-matrix/
	scp BaTiO3-first-principles/force-constant-matrix/*.in\
                                            $(SOURCEFORGE_FERAM)/parameters/BaTiO3-first-principles/force-constant-matrix/

%.jpg: %.eps
	gs -q -sDEVICE=ppm -sPAPERSIZE=a4 -r90x90 -dSAFER -dNOPAUSE -dBATCH -sOutputFile=- -q $< | \
	pnmcrop -white | pnmrotate -90 | cjpeg -quality 90 > $@

clean:
	rm -rf *.aux *.bbl *.blg *.dvi *.log *.ps *.pdf config.log

=== src/25example-BaTiO3-read-quadratic/Makefile ===
# -*-Makefile-*- for 15aBC-8
##
EPS_FILES = 

all: projection.pdf
	grep 'Warning' *.log ; true
#	osascript -e 'tell application "Preview.app" to activate'\
#                  -e 'tell application "Emacs.app"   to activate'

%.pdf: %.dvi
	dvipdfmx -f dvipdfmx.map -p a4 $< > $@

%.dvi: %.tex $(EPS_FILES)
	platex $<
#	bibtex `basename $< .tex`
#	platex $<
#	platex $<

clean:
	rm -rf *.aux *.bbl *.blg *.dvi *.log *.ps *.pdf

=== src/27example-BaTiO3-new-param-E_wave/Makefile ===
# -*-Makefile-*-
##
all:
	ls
clean:
	rm -f *.log *.param.gp *.hl *.avg *.eps *.pdf

=== src/09example-BaTiO3-bulk-leap-frog/leapfrog16x16x16/Makefile ===
#-*-Makefile-*- Example of leapfrog MD simulations with feram
# Time-stamp: <2013-05-21 10:27:58 takeshi>
# Author: Takeshi NISHIMATSU
##
all: leapfrog.sh ../../feram
	./$<

%.sh.ps: %.sh
	LANG=C a2ps --prologue=color --portrait --columns=1 \
	--borders=off -f 9.3 --medium=letter --pretty-print=shell -o - $< > $@

clean:
	rm -f *.coord *.dat core* *.param.gp *.log *.out *.err *.ps *.pdf \
	leapfrog0* leapfrog.avg

=== debian/changelog ===
feram (0.26.04-1) unstable; urgency=low

  * New upstream release 0.26.04

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:57:55 +0900

feram (0.24.02-1) unstable; urgency=low

  * New upstream release 0.24.02

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Sat, 29 Aug 2015 22:44:54 +0900

feram (0.23.00unstable-1) unstable; urgency=low

  * New upstream release

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Tue, 28 Apr 2015 18:14:54 +0900

feram (0.22.06-1) unstable; urgency=low

  * New upstream release

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Sun, 15 Feb 2015 21:09:28 +0900

feram (0.22.04-1) unstable; urgency=low

  * New upstream release

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Wed, 16 Jul 2014 19:25:45 +0900

feram (0.22.01-1) unstable; urgency=low

  * New upstream release

 -- Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>  Mon, 10 Mar 2014 16:17:20 +0900

feram (0.21.04-1) unstable; urgency=low

  * Updated upstream source to 0.21.04.

 -- Synge Todo <wistaria@issp.u-tokyo.ac.jp>  Sat, 21 Sep 2013 00:19:55 +0900

feram (0.21.02-1) unstable; urgency=low

  * Initial release for 0.21.02

 -- Synge Todo <wistaria@issp.u-tokyo.ac.jp>  Wed, 03 Jul 2013 11:15:56 +0900

## feram 0.26.05

=== debian/changelog ===
feram (0.26.05-1) UNRELEASED; urgency=medium

  * New upstream release 0.26.05

 -- Andreas Hirczy <ahi@itp.tugaz.at>  Wed, 17 Dec 2025 16:51:11 +0100

=== debian/control ===
Source: feram
Section: scientific
Priority: extra
Maintainer: Synge Todo <wistaria@phys.s.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 8.0.0), autotools-dev
Standards-Version: 3.9.3
Homepage: http://loto.sourceforge.net/feram/index.en.html
#Vcs-Git: git://git.debian.org/collab-maint/feram.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/feram.git;a=summary

Package: feram
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: feram: molecular dynamics simulator for bulk and thin-film ferroelectrics and relaxors
 feram is a fast molecular dynamics (MD) simulator for bulk and
 thin-film ferroelectrics and relaxors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@  --with autotools-dev

override_dh_auto_test:
	/bin/true
